/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.ui.dlg;

import com.silverwrist.venice.except.ValidationException;
import com.silverwrist.venice.ui.RenderDirect;
import com.silverwrist.venice.ui.RequestInput;

public interface DialogField extends RenderDirect
{
  public abstract String getName();

  public abstract Object getValue();

  public abstract void setValue(Object o);

  public abstract void setValueFrom(RequestInput ri);

  public abstract boolean isRequired();

  public abstract boolean isFile();

  public abstract boolean isHidden();

  public abstract void validate() throws ValidationException;

  public abstract boolean isEnabled();

  public abstract void setEnabled(boolean flag);

  public abstract Object sendMessage(String msg, Object data);

  public abstract DialogField duplicate();

} // end interface DialogField
